TikTok · 内容详情

账号合集内视频

传入账号,返回每个账号公开合集中的视频,逐个合集给出,含 `playlistId` 和 `playlistTitle`。

POST/v1/tiktok/userPlaylists

$0.001每条

1,000 条
≈ $1.00
每页(12 条)最低
$0.00375

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/tiktok/userPlaylists" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"profiles":["mrbeast"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "videoId": "7448330707941805358",
      "url": "https://www.tiktok.com/@m***358",
      "description": "This will be the greatest show you’l…",
      "hashtags": [],
      "createdAt": "2024-12-14T18:07:17Z",
      "durationSeconds": 24,
      "playCount": 8600000,
      "likeCount": 382200,
      "commentCount": 16800,
      "shareCount": 12600,
      "collectCount": 22688,
      "downloadCount": null,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 145900000,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": null,
      "musicTitle": "original sound",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p16-common-sign.tiktokcdn.com…",
      "videoUrl": "https://v16-webapp-prime.tiktok.com/v…",
      "textLanguage": "en",
      "isPinned": null,
      "isSlideshow": false,
      "mentions": [],
      "width": 576,
      "height": 1024,
      "musicId": "7448330673057811242",
      "musicOriginal": true,
      "authorFollowingCount": 346,
      "isPaidContent": null,
      "isAd": false,
      "sourceProfile": "mrbeast",
      "playlistId": "7596415294902389534",
      "playlistTitle": "Beast Games"
    },
    {
      "type": "video",
      "videoId": "7595352359019072798",
      "url": "https://www.tiktok.com/@m***798",
      "description": "Sorry @S*** this is my island now. Be…",
      "hashtags": [],
      "createdAt": "2026-01-14T22:46:36Z",
      "durationSeconds": 21,
      "playCount": 14900000,
      "likeCount": 293200,
      "commentCount": 16500,
      "shareCount": 14200,
      "collectCount": 16928,
      "downloadCount": null,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 145900000,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": null,
      "musicTitle": "original sound",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p16-common-sign.tiktokcdn.com…",
      "videoUrl": "https://v16-webapp-prime.tiktok.com/v…",
      "textLanguage": "en",
      "isPinned": null,
      "isSlideshow": false,
      "mentions": [
        "cbssurvivor"
      ],
      "width": 720,
      "height": 1280,
      "musicId": "7595352290563820319",
      "musicOriginal": true,
      "authorFollowingCount": 346,
      "isPaidContent": null,
      "isAd": true,
      "sourceProfile": "mrbeast",
      "playlistId": "7596415294902389534",
      "playlistTitle": "Beast Games"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.003750",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 40

字段类型示例值
typestringvideo
videoIdstring7448330707941805358
urlstringhttps://www.tiktok.com/@m***358
descriptionstringThis will be the greatest show you’ll ever see 😎
hashtagsarray[]
createdAtstring2024-12-14T18:07:17Z
durationSecondsnumber24
playCountnumber8600000
likeCountnumber382200
commentCountnumber16800
shareCountnumber12600
collectCountnumber22688
downloadCountnullnull
authorHandlestring<masked>
authorNamestring<masked>
authorFollowerCountnumber145900000
authorVerifiedstring<masked>
authorIdstring<masked>
authorSecUidstring<masked>
authorAvatarUrlstring<masked>
authorBiostring<masked>
authorRegionnullnull
musicTitlestringoriginal sound
musicAuthorstring<masked>
coverUrlstringhttps://p16-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/…
videoUrlstringhttps://v16-webapp-prime.tiktok.com/video/tos/alisg/tos-alis…
textLanguagestringen
isPinnednullnull
isSlideshowbooleanfalse
mentionsarray[]
widthnumber576
heightnumber1024
musicIdstring7448330673057811242
musicOriginalbooleantrue
authorFollowingCountnumber346
isPaidContentnullnull
isAdbooleanfalse
sourceProfilestringmrbeast
playlistIdstring7596415294902389534
playlistTitlestringBeast Games

参数 2

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
profilesarray是公开账号,如 khaby.lame、@khaby.lame,或账号主页链接、该账号某个视频的链接。不支持 vm.tiktok.com、vt.tiktok.com、tiktok.com/t/ 短链。["mrbeast"]

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"profiles":["mrbeast"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/tiktok/userPlaylists", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 12 条,每页最低收费 $0.00375;要 100 条的请求会取 9 页。

  • 1 条:最多 $0.00375
  • 20 条:最多 $0.02
  • 100 条:最多 $0.10

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「账号合集内视频」要传哪些参数?

必填:profiles。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 12 条,要 100 条时一次请求取 9 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 简要记录 $0.001。每页最低收费 $0.00375:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.10。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。